<?php

if ( ! defined( 'ABSPATH' ) )   exit; 

$id_builidng = $_GET['building'];

$city = get_term_meta($_GET['building'], 'city_of_building', true);

$offices_type = get_terms(array( 'taxonomy' => 'workspace-type','hide_empty' => false));

$plan = !empty($_GET['plan']) ? $_GET['plan'] : '';

$floor = !empty($_GET['floor']) ? $_GET['floor'] : '';

if (isset($_POST['save-form-position']) || !empty($_POST['offices'])) {

    if(!empty($_POST['offices'])){

        $offices = $_POST['offices'];

        foreach ($offices as $office_id => $cord) {

            $office_id = str_replace('office_', '', $office_id);

            $cordiantion = json_decode($cord);

            $cordiantion = array('left' => $cordiantion[0], 'top' => $cordiantion[1],'rotation'=>$cordiantion[2]?? 0);

            $data = array('cordiantion' => $cordiantion,'floor'=> $floor);

            $office_floor_plan = $plan;

            update_post_meta($office_id, 'office_position', $data);

            update_post_meta($office_id, 'office_floor_plan', $office_floor_plan);

            update_post_meta($office_id, '_floor', $floor);

        }

    }

}



?>



<div class="container-dragee">

    <div class="page-title">

        <h2>Manage offices positions</h2>

    </div>

    <div id='main-body-draggable' class="main-body">

        <div class="container-elements" style="position: relative !important;">

            <div class="map-view target">

                <?php echo wp_get_attachment_image($plan,array('auto', '550')); ?>

                <div class="pop-up-save-data">

                    <div class="close-btn">

                            <button>X</button>

                    </div>

                    <div class="popup-title">

                        <h4></h4>

                    </div>

                    <table>

                        <tr>

                            <td><label for="max-people">Capacity (Max People) </label></td>

                            <td><input type="number" name="max-people" id="max-people" min="1" ></td>

                        </tr>

                        <tr>

                            <td><label for="price">Price (Euro) </label></td>

                            <td><input type="number" name="price" id="price" min="1" ></td>

                        </tr>

                        <tr>

                            <td><label for="room">Room </label></td>

                            <td><input type="number" name="room" id="room" min="1" ></td>

                        </tr>

                        <tr>

                            <td><label for="seat">Seat </label></td>

                            <td><input type="number" name="seat" id="seat" min="1" ></td>

                        </tr>

                    </table> 

                <div class="btn-MAJ">   

                    <input type="hidden" class="action-details" value="save-details-desks">

                    <?php wp_nonce_field( 'save-details-desks-'.BOOKING_PLUGIN_DIR,'action-details-nonce' ); ?>

                    <div class="save-btn">

                            <button class='btn-success'>Save</button>

                    </div>

                <div class="delete-btn">

                            <button class='btn-danger'>remove from this floor</button>

                    </div>

                </div>    

                    <div class="results-message">



                    </div>

                </div>

            </div>

            <div class="list-offices">

            <h4>Type Desks</h4> 

                <ul class="offices">

                    <?php 

                    if(!empty($offices_type)){

                        $is_locked = get_option('locked_rooms',false);

                        $key_part_floor = $floor.'st';

                        if($floor == 'ground') $key_part_floor ='ground';

                        $key_part_floor .=' floor';

                        foreach ($offices_type as $type) {

                            ?> 

                            <li class="offices-type">

                                <table>

                                    <tr>

                                        <td style='width: 200px;'><span><?php echo $type->name; ?></span></td>

                                     <td>

                                    <ul>

                                    <?php

                                    $args = array(

                                        'post_type' => 'desks',

                                        'posts_per_page' => -1,

                                        'tax_query'=> array(

                                            array('relation'=>'and'),

                                                array(

                                                    'taxonomy' => 'workspace-type',

                                                    'field' => 'term_id',

                                                    'terms' => $type->term_id,

                                                ),

                                                array(

                                                    'taxonomy'  => 'location',

                                                    'field' => 'term_id',

                                                    'terms'     =>  $city,

                                                ),

                                            ),  

                                        );

                                    $offices = get_posts($args);

                                        if(!empty($offices)){

                                            $icon = get_term_meta($type->term_id,'workspace_type_icon',true);

                                            $_icon_src = !empty($icon['icon_url']) ? $icon['icon_url'] : BOOKING_PLUGIN_URL . '/assets/images/green.png';

                                            foreach ($offices as $office) {

                                            $icon_src = $_icon_src;

                                            $class = '';

                                            $position = get_post_meta($office->ID,'office_position',true);

                                            $office_floor_plan = get_post_meta($office->ID,'office_floor_plan',true);

                                            if( (empty($office_floor_plan) && empty($position['floor'])) || ($office_floor_plan == $plan && $position['floor'] == $floor) ):



                                            $_desk_details = get_post_meta( $office->ID, '_desk_details', true );

                                            $capacity = get_post_meta( $office->ID, '_max_people', true );

                                            $price = isset($_desk_details['price']) ? $_desk_details['price'] : '';

                                            $room = isset($_desk_details['room']) ? $_desk_details['room'] : '';                                        

                                            if($is_locked && isset($is_locked[$city.'_'.$id_builidng.'_'.$key_part_floor.'_'.$room])){

                                                 $class .= 'locked';

                                                 $icon_src = BOOKING_PLUGIN_URL . '/assets/images/locked.jpg';

                                            } 

                                            $seat = isset($_desk_details['seat']) ? $_desk_details['seat'] : '';

                                            $style = 'style="background-image:url(' .$icon_src. ');';

                                            if(!empty($position['cordiantion'])){

                                                $style .= 'position:absolute;top:'.$position['cordiantion']['top'].'px;left:'.$position['cordiantion']['left'].'px; transform: rotate('.$position['cordiantion']['rotation'].'deg);';

                                                $class .= ' in-the-map affected ';

                                            }

                                            $style .= '"';                             

                                    // if( (empty($office_floor_plan) && empty($position['floor'])) || ($office_floor_plan == $plan && $position['floor'] == $floor) ):

                                    ?>

                                        <li <?php echo $style; ?> class="draggable draggable-<?php echo $office->ID.' '.$class; ?>"

                                            data-work_space_type="<?php echo $type->term_id,'workspace_type_icon' ?>"

                                            data-office-name="<?php echo $office->post_title; ?>"

                                            data-office-id="<?php echo $office->ID; ?>"

                                            data-capacity="<?php echo $capacity; ?>"

                                            data-price="<?php echo $price; ?>"

                                            data-room="<?php echo $room; ?>"

                                            data-seat="<?php echo $seat; ?>"

                                            >

                                            <div class="definition-container">

                                                <span class='office-definition'><?php echo $office->post_title; ?></span>

                                            </div>

                                        </li>

                                    <?php

                                            endif;

                                        }

                                    }

                                    ?>

                                </ul>



                                    </td></tr>

                                </table>





                                

                                

                            </li>

                    <?php

                        }

                }



                    ?>





                </ul>



            </div>

        </div>

    </div>

    <form action="" method="post" class="manage_offices_place_form">

            <input class='btn-success sav-btn-plan' type="submit" name="save-form-position" value="save">

    </form>

</div>

