jQuery(document).ready(function($){
  var $loading = $('.lds-circle').hide();
    $(document)
    .ajaxStart(function () {
      $('.fieldset-container').prop('disabled', true);
      $loading.show();
    })
    .ajaxStop(function () {
      $('.fieldset-container').prop('disabled', false);
      $loading.hide();

    });
    
$('#booking_details').click(function(){
    $('#personel_info').validate({ // initialize the plugin
        rules: {
            first_name: {
                required: true,
            },
            Last_name: {
                required: true,
            },
            phone_number: {
                required: true,
            },
            email: {
                required: true,
                email : true,
            }
        }, submitHandler: function (form) { // for demo
            return false; // for demo
        }
    });
    if($('#personel_info').valid()){
        $('.modal-body').addClass('disableddvi');
        
        addBookingIfAvailable();

    }

});
})

async function addBookingIfAvailable () {

    var Date_start = $('#Date_start_booking_details').val();
    var Date_end = $('#Date_end_booking_details').val();
    var location_city = $('#location_city').val();
    var building = $('#Buildings').val();
    var floor = $('#floor').val();
    var working_space = $('#working_space').val();
    var desk_id = $('.main-details').data('desk');
    var check_availability = $('#check_availability').val();
    var first_name = $('#first_name').val();
    var Last_name = $('#Last_name').val();
    var phone_number = $('#phone_number').val();
    var email = $('#email').val();

    $.ajax({
        type: "POST",
        url: '/',
        data: {
            action : 'save_booking_submition',
            desk_id: desk_id, 
            Date_start : Date_start,
            Date_end : Date_end,
            location:location_city,
            building : building,
            working_space : working_space,
            floor:floor,
            first_name :first_name,
            Last_name :Last_name,
            phone_number:phone_number,
            email:email,
            check_availability:check_availability
        },
        success: function(etat){
            $('.error-reservation').remove();
            if(etat == 'true'){
                console.log('etat: ', etat)

                personel_info = {
                    'first_name' : first_name,
                    'Last_name' : Last_name,
                    'email':email,
                    'phone_number':phone_number,
                    'email':email 
                }

                localStorage.setItem('personel_info', JSON.stringify(personel_info));

                $.ajax({
                    type: 'POST',
                    url: wc_add_to_cart_params.wc_ajax_url.toString().replace( '%%endpoint%%', 'custom_add_to_cart' ),
                    data : {
                        'product_id': desk_id,
                    },
                    success: function (response) {
                        window.location = $('#booking_details').data('checkout-url')
                    },
                    error: function (error) {
                        $('.modal-body').append("<h2 class='error-reservation'> Error happened while adding the item to your cart </h2>");
                        console.log('error add to cart')
                    }
                });
                //window.location = $('#submit_the_checkout_form').data('checkout-url')
            }
            else{
                $('.modal-body').append("<h2 class='error-reservation'> Error please check again </h2>");
            }
            $('.modal-body').removeClass('disableddvi');
        }
    });
}