jQuery(document).ready(function ($) {
  $("#publish").click(function (e) {
    if (!$('input[name="tax_input[location]"]').is(":checked")) {
      alert("you should select location of desk");
      e.preventDefault();
    } else if (!$('input[name="tax_input[buildings]"]').is(":checked")) {
      alert("you should check the building");
      e.preventDefault();
    } else if (!$('input[name="tax_input[workspace-type]"]').is(":checked")) {
      alert("you should check the workspace type");
      e.preventDefault();
    }
  });
  $(".location-tax").change(function () {
    id_city = $(this).data("id");
    id_post = $(this).data("post");

    // check_availability = $('#check_availability').val();
    $.ajax({
      type: "POST",
      url: "/innovarooms/",
      data: {
        action: "get_building_in_specifique_city",
        id_city: id_city,
        id_post: id_post,
        //   check_availability:check_availability
      },
      success: function (html) {
        $(".building-container-right").empty();
        $(".building-container-right").append(html);
      },
    });
  });
  $(document).on("change", "#year-agreement", function () {
    if ($(this).is(":checked")) {
      $(".table-year-agreement input").prop("disabled", false);
      $(".table-year-agreement").show();
    } else {
      $(".table-year-agreement").hide();
      $(".table-year-agreement input").prop("disabled", true);
    }
  });
  $(document).on("change", "#mounth-payement", function () {
    price = $(this).val();
    if (parseFloat(price) && price > 0) {
      total_price = price * 12;
      total_price_vta = total_price + total_price * 0.23;

      html =
        "<span>Totale Price : " +
        total_price +
        " £ + VTA  " +
        total_price_vta +
        "</span>";
      $(".result-totale").html(html);
    }
  });
  currentDate = moment().format("DD/MM/YYYY HH:mm");
  $("#dates-range-filter").daterangepicker({
    startDate: currentDate,
    endDate: moment().add(1, "years").format("DD/MM/YYYY HH:mm"),
    opens: "right",
    timePicker24Hour: true,
    timePicker: true,
    locale: {
      format: "DD/MM/YYYY HH:mm",
    },
  });
});
