<?php
    $locations = get_terms('location', array('hide_empty' => 0));    
    wp_enqueue_style('desks-results-css', BOOKING_PLUGIN_URL . '/assets/style/page_results.css');
?>

        <div class="res-main-container container-fluid">

            <div class="row results-container" style="position: relative !important;">
                <!-- <div class="spinner-loader">
                    <svg width="24" height="24" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
                        <style>.spinner_ajPY{transform-origin:center;animation:spinner_AtaB .75s infinite linear}@keyframes spinner_AtaB{100%{transform:rotate(360deg)}}</style>
                        <path d="M12,1A11,11,0,1,0,23,12,11,11,0,0,0,12,1Zm0,19a8,8,0,1,1,8-8A8,8,0,0,1,12,20Z" opacity=".25"/>
                        <path d="M10.14,1.16a11,11,0,0,0-9,8.92A1.59,1.59,0,0,0,2.46,12,1.52,1.52,0,0,0,4.11,10.7a8,8,0,0,1,6.66-6.61A1.42,1.42,0,0,0,12,2.69h0A1.57,1.57,0,0,0,10.14,1.16Z" class="spinner_ajPY"/>
                    </svg>
                </div> -->

                <span class="loader"></span>
                <div class="innova-container">
                    <div class = 'container-croquis col-sm-12 col-lg-8'>
                        <!-- <div class="overlay"></div> -->

                        <?php
                         include(BOOKING_PLUGIN_DIR.'/includes/templates/template-parts/croquis.php');
                        ?>

                    </div>
                    <div class='container-desks col-sm-12 col-lg-4'>
                        <div class="price-panel col-xs-12"> 
                            <span class="panel-title fontsb7">My Booking</span>
                            <span class="panel-title panel-price fontsb7 ">Rate €0.00</span>
                        </div>
                        <div class="container-fluid search-panel">

                            <!-- <div class="col-xs-12 search-head"> 

                                <span class="panel-title fontsb7"> SEARCH </span>

                                <span class="panel-price"></span>

                            </div> -->

                            <div class="col-xs-12">

                                    <label for="search-panel-location" class="full-inputW wrapper-label-right">

                                        Location

                                    <div class="input-group full-inputW">

                                        <span class="input-group-addon">

                                            <span class="glyphicon glyphicon-map-marker"></span>

                                        </span>

                                        <div class="select-group">

                                            <ul class="select-options location" style="display: none;">

                                                <?php 

                                                $checked = '';

                                                    foreach ($locations as $location):

                                                        if($location->term_id == $_POST['location_city'])  $checked = $location ;

                                                            ?>

                                                            <li data-id-location="<?php echo $location->term_id; ?>" > <?php echo $location->name; ?></li>

                                                            <?php

                                                    endforeach;

                                                ?>

                                            </ul>

                                            <div class="select-styled" data-select-type="location" data-id-location="<?php echo $checked->term_id ?? '' ; ?>" ><?php echo $checked->name ?? '' ?></div>

                                            <input type="hidden" value="<?php echo $checked->term_id ?? '' ; ?>" class="select-styled-hidden-input left-search-inputs" name="workspace">

                                        

                                        </div>

                                    </div>

                                    </label>

                            </div>



                            <div class="col-xs-12" id="date-time" <?php echo (get_date_diff($date_start,$date_end)==1) ? 'style= "display:none;"' : ''; ?>>

                                    <label for="dates-range-filter" class="full-inputW wrapper-label-right">

                                        Dates

                                        <div class='input-group'>

                                            <span class="input-group-addon">

                                                <span class="glyphicon glyphicon-calendar"></span>

                                            </span>

                                            <input type='text' name="Dates-range" data-datestart="<?php echo $date_start; ?>" 

                                            data-dateend="<?php echo $date_end ; ?>" id="dates-range-filter" class="form-control form-control-lg dates-range-filter left-search-inputs"

                                            data-diffdate="<?php echo $diff_date; ?>"

                                                    value="<?php echo $_POST['Dates-range']; ?>" /> 

                                        </div>

                                    </label>

                            </div>

                            <div class="col-xs-12" id="time-equal" <?php echo (get_date_diff($date_start,$date_end)==1) ? '' : 'style= "display:none;"'; ?>>

                                        <label   class="fonts12 full-inputW wrapper-label-right"> Time</label>

                                            <div  class='checkboxes-time'>

                                                <!-- <span class="icon-back-time-equal">

                                                    <img src="<?php echo BOOKING_PLUGIN_URL.'/assets/images/fleche-gauche.svg' ?>" alt="" width="25px"> 

                                                </span>                                      -->

                                                <div class='list-checkbox'>

                                                    <div class="radio-input" id="li-opt-Hourly">

                                                        <input type="radio" name="opt-rate" class="opt-Hourly opt-rate" require>

                                                        <label for="opt-Hourly"> Hourly</label>

                                                    </div>

                                                    <div class="radio-input" id="li-opt-Half-day">

                                                        <input type="radio" name="opt-rate" class="opt-Half-day opt-rate" require>

                                                        <label for="opt-Half-day"> Half-day</label>

                                                    </div>

                                                    <div class="radio-input" id="li-opt-Full-day">
                                                        

                                                        <input type="radio" name="opt-rate" class="opt-Full-day opt-rate" checked require>

                                                        <label for="opt-Full-day"> Full-day</label>

                                                    </div>
                                                </div> 

                                                <div class="options-container">
                                                <?php
                                                    $current_date = current_time('d-m-Y');
                                                    $date_start_formatted = date('d-m-Y', strtotime(str_replace('/', '-', substr($date_start, 0, 10))));
                                                    if ($date_start_formatted == $current_date) {
                                                        $current_time = current_time('H:i', true); 
                                                        $hour_added_time = date('H:i', strtotime('+1 hour', strtotime($current_time)));
                                                    } else {
                                                        $hour_added_time = '07:00';
                                                    }
                                                ?>

                                                    <div id="opt-Hourly" style="display: none">
                                                        <div class='col-fx'>
                                                            <div class='col-6 label-input'>
                                                                <label class="fonts12 "> Star: </label> 
                                                                <div class="input-group full-inputW">
                                                                    <div class="select-group time-select-input">
                                                                        <ul class="select-options time-start">
                                                                            <li data-time-start="07:00">07:00</li>
                                                                            <li data-time-start="08:00">08:00</li>
                                                                            <li data-time-start="09:00">09:00</li>
                                                                            <li data-time-start="10:00">10:00</li>
                                                                            <li data-time-start="11:00">11:00</li>
                                                                            <li data-time-start="12:00">12:00</li>
                                                                            <li data-time-start="13:00">13:00</li>
                                                                            <li data-time-start="14:00">14:00</li>
                                                                            <li data-time-start="15:00">15:00</li>
                                                                            <li data-time-start="16:00">16:00</li>
                                                                            <li data-time-start="17:00">17:00</li>
                                                                            <li data-time-start="18:00">18:00</li>
                                                                            <li data-time-start="19:00">19:00</li>
                                                                        </ul>

                                                                        <div class="select-styled time-select time-start" data-select-type="time-start">
                                                                            <svg xmlns="http://www.w3.org/2000/svg" width="12" height="12" viewBox="0 0 12 12">
                                                                                <g id="clock_6_" data-name="clock (6)" transform="translate(-1 -1)">
                                                                                    <path id="Path_124067" data-name="Path 124067" d="M7,1a6,6,0,1,0,6,6A6,6,0,0,0,7,1ZM7,11.909A4.909,4.909,0,1,1,11.909,7,4.909,4.909,0,0,1,7,11.909Z" fill="#1c232e"/>
                                                                                    <path id="Path_124068" data-name="Path 124068" d="M12.091,8.592V5.545a.545.545,0,1,0-1.091,0V8.818a.545.545,0,0,0,.16.386L12.8,10.84a.545.545,0,1,0,.771-.771Z" transform="translate(-4.545 -1.818)" fill="#1c232e"/>
                                                                                </g>
                                                                            </svg>
                                                                            <?php echo $hour_added_time; ?></div>    

                                                                        <input type="hidden" class='select-styled-hidden-input time-start' value='<?php echo $hour_added_time; ?>'>                                                        

                                                                    </div>

                                                                </div>

                                                            

                                                            </div>

                                                            <div class='col-6 label-input'>

                                                                <label class="fonts12"> End: </label> 



                                                                <div class="input-group full-inputW">

                                                                    <div class="select-group">

                                                                        <ul class="select-options times time-end" style="display: none;">
                                                                            <li data-time-end="07:00">07:00</li>
                                                                            <li data-time-end="08:00">08:00</li>
                                                                            <li data-time-end="09:00">09:00</li>
                                                                            <li data-time-end="10:00">10:00</li>
                                                                            <li data-time-end="11:00">11:00</li>
                                                                            <li data-time-end="12:00">12:00</li>
                                                                            <li data-time-end="13:00">13:00</li>
                                                                            <li data-time-end="14:00">14:00</li>
                                                                            <li data-time-end="15:00">15:00</li>
                                                                            <li data-time-end="16:00">16:00</li>
                                                                            <li data-time-end="17:00">17:00</li>
                                                                            <li data-time-end="18:00">18:00</li>
                                                                            <li data-time-end="19:00">19:00</li>
                                                                        </ul>

                                                                        <div class="select-styled time-select time-end" data-select-type="time-end">
                                                                            <svg xmlns="http://www.w3.org/2000/svg" width="12" height="12" viewBox="0 0 12 12">
                                                                                <g id="clock_6_" data-name="clock (6)" transform="translate(-1 -1)">
                                                                                    <path id="Path_124067" data-name="Path 124067" d="M7,1a6,6,0,1,0,6,6A6,6,0,0,0,7,1ZM7,11.909A4.909,4.909,0,1,1,11.909,7,4.909,4.909,0,0,1,7,11.909Z" fill="#1c232e"/>
                                                                                    <path id="Path_124068" data-name="Path 124068" d="M12.091,8.592V5.545a.545.545,0,1,0-1.091,0V8.818a.545.545,0,0,0,.16.386L12.8,10.84a.545.545,0,1,0,.771-.771Z" transform="translate(-4.545 -1.818)" fill="#1c232e"/>
                                                                                </g>
                                                                            </svg>    
                                                                        19:00</div>            

                                                                        <input type="hidden" class='select-styled-hidden-input time-end' value='19:00'>                                                        

                                                                    </div>

                                                                </div>



                                                                

                                                            </div>

                                                        </div>

                                                    </div>  

                                                    <div id="opt-Half-day" style="display: none">

                                                        <div class='col-fx'>

                                                            <div class='col-6'>

                                                                <label class="fonts12 full-inputW wrapper-label-right"> Option 1 </label> 

                                                                <div class='rate-option-container'>

                                                                    <input type="radio" name="rate-option" class="rate-option-1 form-control" value="morning">

                                                                    <div>

                                                                        <span>

                                                                            07:00 - 13:00

                                                                        </span>

                                                                    </div>

                                                                </div>

                                                            </div>

                                                            <div class='col-6'>

                                                                <label class="fonts12 full-inputW wrapper-label-right"> Option 2 </label> 

                                                                <div class='rate-option-container'>

                                                                    <input type="radio" name="rate-option" class="rate-option-2 form-control" value="afternoon">

                                                                    <div>

                                                                        <span>

                                                                            13:30 - 19:00

                                                                        </span>

                                                                    </div>

                                                                </div>

                                                            </div>

                                                        </div>    

                                                    </div> 

                                                    <div id="opt-Full-day" style="display: block">                                                 

                                                            <label class="fonts12 full-inputW wrapper-label-right"> Pick date </label> 

                                                            <input type="text" name="full-day-rate" class="full-day-rate form-control"
                                                                    data-datestart="<?php echo $date_start; ?>" 
                                                                    data-dateend="<?php echo $date_end ; ?>"
                                                                    value ="<?php echo $_POST['Dates-range'] ; ?>"
                                                            >                                                    

                                                    </div>    

                                                </div>  



                                                   

                                            </div>

                            </div>

                            <div class="col-xs-12" class="workspace-bloc">

                <label for="search-panel-workspace-type" class="full-inputW wrapper-selectBox-wokspace">

                    Workspace

                    <div class='input-group full-inputW'>

                        <div class="multiselect-search">

                            <div class="selectBox selectBox-wokspace">

                                        <span class="input-group-addon">

                                            <span class="glyphicon glyphicon-map-marker workspace"></span>

                                        </span>

                                        <select  name="page-results-desk-types" id="page-results-desk-types" class="select-group">
                                        <?php
                                            
                                            $workspace_lookup = array_reduce($workspace_type, function($carry, $workspace) {
                                                 $carry[$workspace->term_id] = $workspace->name;
                                                 return $carry;
                                             }, []);
                                             
                                             $workspace_name = isset($workspace_lookup[$_POST['workspace']]) ? $workspace_lookup[$_POST['workspace']] :
                                             
                                             ($_POST['workspace'] == 0 ? 'All workspaces' : 'Choose Workspace');
                                                

                                             
                                         ?>
                                               
                                                    <option value="0" class="workspace-placeholder" selected><span></span><?php echo $workspace_name; ?></option>

                                        </select>

                                        <div class="overSelect"></div>

                            </div>

                            <div id="checkboxes" class='checkboxes'>

                                        <?php

                                                if (!empty($workspace_type)) {

                                                    foreach ($workspace_type as $term) {

                                                ?>

                                                <label for="search-desk-type-<?php echo $term->slug; ?>">

                                                    <input class="left-search-inputs" type="checkbox" id="search-desk-type-<?php echo $term->slug; ?>" value="<?php echo $term->term_id; ?>"

                                                    <?php echo (!$cuurent_workspace[0] || in_array($term->term_id,$cuurent_workspace))  ? 'checked' : '' ?> />

                                                    <?php echo $term->name; ?> 

                                                </label>

                                                <?php }

                                            } ?>

                            </div>

                        </div>

                    </div>

                </label>

            </div>

                            <div class="col-xs-12" id='people-bloc'>

                                    <label for="search-panel-people" class="full-inputW">

                                        People

                                        <div class='input-group input-people'>

                                            <div class="dropdown-number">

                                                <div class="select">

                                                    <p>
                                                        <span class="data-number">
                                                            <?php echo $_POST['people-qty']; ?>
                                                        </span> 
                                                        <span class="adult">
                                                        Guest
                                                        </span>
                                                    </p>

                                                </div>

                                                <input type="hidden" name="gender">

                                                <div class="show-dropdown">

                                                    <span class="">

                                                        <span class="glyphicon glyphicon-map-marker workspace"></span>

                                                    </span>

                                                    <div class='qty'>

                                                        <span>Guest</span>

                                                        <div>

                                                            <span class="minus bg-dark">-</span>

                                                            <input type="number" class="count left-search-inputs" name="people-qty" value="<?php echo $_POST['people-qty']; ?>">

                                                            <span class="plus bg-dark">+</span>

                                                        </div>

                                                    </div>

                                                </div>

                                            </div>

                                        </div>

                                    </label>

                            </div>

                            

                            <div class="col-xs-12 wrapper-check-availability">                                    

                                        <span class="book-now-container check-availability icon-back-to-time" data-checkout-url="<?php echo get_permalink( wc_get_page_id( 'checkout' ) ); ?>">
                                            <button class="search-panel-book-btn disabled" disabled>Book Now</button>
                                        </span>

                                        <?php wp_nonce_field(BOOKING_DIRNAME, 'check_availability');  ?>

                            </div>

                            <!-- <div class="col-xs-12">

                                    <div class="container-icon">

                                        <div class="available">

                                            = Available

                                        </div>

                                        <div class="unavailable">

                                            = Unavailable

                                        </div>

                                    </div>

                            </div> -->

                        </div>

                    </div>

                </div>

            </div>

        </div>
                </div>
            </div>
            <div class="col-sm-12 col-md-4">
            </div>
        