<form action="<?php echo home_url() ?>/results-desks" method="post">
    <fieldset class="fieldset-container">
        <div class="container  main-search">
            <!-- <h2> Resource Availability</h2> -->
            <div>
                <div class="row">
                        <!-- <div class='col-sm-6'>
                        </div> -->
                        <div class='col-sm-6 col-lg-3 field-search'>
                            <label for="location">Location</label>
                            <div class="form-group">
                                <div class='input-group'>
                                    <span class="input-group-addon">
                                        <span class="glyphicon glyphicon-map-marker"></span>
                                    </span>
                                    <?php  
                                    usort($location_terms, function($a, $b)  {return($a->count < $b->count);});
                                    if (!empty($location_terms)) {
                                    ?>
                                        <div class="select-group">
                                            <ul class="select-options location" style="display: none;">
                                                <?php                                         
                                                    foreach ($location_terms as $location): ?>
                                                            <li data-id-location="<?php echo $location->term_id; ?>" class="<?php echo $location->name; ?>"> <?php echo $location->name; ?></li>
                                                            <?php
                                                    endforeach;
                                                ?>
                                            </ul>
                                            <div class="select-styled" data-select-type="location" data-id-location="<?php echo $location_terms[0]->term_id; ?>" ><?php echo $location_terms[0]->name; ?></div>
                                            <input type="hidden" value="<?php echo $location_terms[0]->term_id; ?>" class="select-styled-hidden-input" name="location_city">
                                        </div>
                                    <?php 
                                    }
                                    ?>
                                </div>
                            </div>
                        </div>
                        <div class='col-sm-6 col-lg-3 field-search'>
                            <label for="Dates-range">Dates</label>
                            <div class="form-group">
                                <div class='input-group'>
                                    <span class="input-group-addon">
                                        <span class="glyphicon glyphicon-calendar"></span>
                                    </span>
                                    <input type='text' name="Dates-range" id="dates-range-filter" class="form-control input-search-date" /> 
                                </div>
                            </div>
                        </div>
                        <div class='col-sm-6 col-lg-2 field-search'>
                            <label for="date_start">Guest</label>
                            <div class="form-group">
                                <div class='input-group input-people'>
                                    <div class="dropdown-number">
                                        <div class="select">
                                            <p><span class="data-number">1</span> <span class="adult">Guest</span></p>
                                        </div>
                                        <input type="hidden" name="gender">
                                        <div class="show-dropdown">
                                            <span class="">
                                                <span class="glyphicon glyphicon-map-marker workspace"></span>
                                            </span>
                                            <div class='qty'>
                                                <span>Guests</span>
                                                <div>
                                                    <span class="minus bg-dark">-</span>
                                                    <input type="number" class="count" name="people-qty" value="1">
                                                    <span class="plus bg-dark">+</span>
                                                </div>
                                            </div>
                                    </div>
                                </div>
                                </div>
                            </div>
                        </div>
                        <div class='col-sm-6 col-lg-2 field-search'>
                            <label for="workspace">Workspace</label>
                            <div class="form-group">
                                <div class='input-group'>
                                    <span class="input-group-addon">
                                        <span class="glyphicon glyphicon-map-marker workspace"></span>
                                    </span>

                                    <?php  
                                    if (!empty($workspace_type)) {
                                    ?>
                                        <div class="select-group">
                                            <ul class="select-options workspace" style="display: none;">
                                                <li data-id-workspace="0" >Any</li>
                                                <?php                                         
                                                    foreach ($workspace_type as $term): ?>
                                                            <li data-id-workspace="<?php echo $term->term_id; ?>" class="<?php echo $term->name; ?>"> <?php echo $term->name; ?></li>
                                                            <?php
                                                    endforeach;
                                                ?>
                                            </ul>
                                            <div class="select-styled workspace" data-select-type="workspace" data-id-workspace="0" >Any</div>
                                            <input type="hidden" value="0" class="select-styled-hidden-input" name="workspace">
                                        </div>
                                    <?php 
                                    }
                                    ?>

                                </div>
                            </div>
                        </div>
                        <div class='col-sm-12 col-lg-2 field-search sub-btn'>
                            <?php wp_nonce_field(BOOKING_DIRNAME, 'check_availability'); ?>
                            <input type="submit" id="search_desks" name="Check_Disponibility" value="Check Availability">
                        </div>

                </div>
            </div>
        </div>
    </fieldset>
</form>