<?php 

$tax_query = array();

 if($_POST['location_city'] &&  filter_var($_POST['location_city'], FILTER_VALIDATE_INT)){

    $tax_query[] = array(

                        'taxonomy'  => 'location',

                        'field' => 'term_id',

                        'terms'     =>  $_POST['location_city'],

                    );

}

if( $cuurent_workspace[0] ){

    if (!empty($tax_query))

        $tax_query[] = array('relation' => 'AND');

    $tax_query[] = array(

        'taxonomy' => 'workspace-type',

        'field' => 'term_id',

        'terms' => $cuurent_workspace,

    );

}

if(!filter_var($_POST['people-qty'], FILTER_VALIDATE_INT)) $_POST['people-qty'] = 1;

$args = array(

    'post_type' => 'desks',

    'posts_per_page' => -1,

    'tax_query'=> $tax_query,

    'meta_query' => array(

        array(

        'key'     => '_max_people',

        'value'=> $_POST['people-qty'],

        'compare' => '>=',

        'type' => 'NUMERIC'

        ),

    )

);

$query = new WP_Query($args);

$desks = $query->posts;



    $floors = [];

    $floor_index = 0;

    $reserved_offices = get_reserved_offices($date_start,$date_end);

    $builidings = get_terms(array(

        'taxonomy'=> 'buildings',

        'hide_empty'=>false,

        'meta_query' => array(

            array(

            'key'       => 'city_of_building',

            'value'     => $_POST['location_city'],

            'compare'   => '='

            )

        ),

    ));

    if(!empty($builidings)){

    $floors = get_term_meta($builidings[0]->term_id, 'number_floor',true);

    $floors_crquis = get_term_meta($builidings[0]->term_id, 'floors_images',true);

    $floor_index = !empty($_POST['floor_index']) ? 
                    ( $_POST['floor_index'] == 'ground' && $floors['ground-floor'] ? -1 : 
                    ( $floors['number-floor'] >= $_POST['floor_index'] ? $_POST['floor_index']-1 : 0)) :
                     (!empty($floors['ground-floor']) ? -1 :0 ) ;

    // $_maps_iframe = get_term_meta($builidings[0]->term_id, 'building_maps_iframe',true); 

    }
    $selected_view = !empty($selected_view) ? $selected_view : (wp_is_mobile() ? 'list' : 'map');

    ?>

    <div class="options-panel">

            <ul class="options-items">
                    <div>
                        <?php if ( !empty($floors) ) :

                                if( $floors['ground-floor']):

                            ?>
                                    
                                <li class="floors-option <?php echo  $floor_index == -1  ? 'floor-choice' : '' ?>" data-floor-index='ground'><input type="radio" id="ground-floor-checkbox" name="floor-viewstyle" checked><label for="ground-floor-checkbox" class="ground-floor-option floor-option fontsb6">Ground Floor</label></li>

                            <?php endif;

                            if( !empty($floors['number-floor']) ):

                            for ($i = 0 ; $i < $floors['number-floor'] ; $i++){
                                $floorId = "floor-checkbox-" . ($i + 1);
                        ?>

                            <li class="floors-option <?php echo $i == $floor_index ? 'floor-choice' : '' ?>" data-floor-index="<?php echo $i+1 ?>"><input type="radio" id="<?php echo $floorId; ?>" name="floor-viewstyle" <?php echo $i == $floor_index ? 'checked' : '' ?> ><label for="<?php echo $floorId; ?>" class="fontsb6 <?php echo strtolower($floors_spell[$i]); ?>-floor-option floor-option"> <?php echo $floors_spell[$i]; ?> Floor</label></li>

                        <?php

                                }

                                endif;

                            endif;

                        ?>
                    </div>
                    <div>
                            <?php  wp_nonce_field(BOOKING_DIRNAME, 'view-type') ?>
                        <li class="view-choice-box  <?php echo $selected_view == 'map' ? 'view-choice' : ''; ?>" > <input type="radio" value="map" name="viewstyle" id="map-view-map"  <?php echo $selected_view == 'map' ? 'checked' : ''; ?> ><label for="map-view-map" class="fontsb6 custom-radio-label floor-option"  <?php echo $selected_view == 'map' ? 'checked' : ''; ?>>  Map View</span></label></li>
                        <li class="view-choice-box <?php echo $selected_view == 'list' ? 'view-choice' : ''; ?>"> <input type="radio" value="list" name="viewstyle" id="map-view-list" <?php echo $selected_view == 'list' ? 'checked' : ''; ?>>  <label for="map-view-list" class="fontsb6 custom-radio-label floor-option" <?php echo $selected_view == 'list' ? 'checked' : ''; ?>>  List View</span></label></li>
                    </div>
                    <!-- <li class="best-available-btn"><input type="checkbox" name="checkbox" id="best-available" class="custom-checkbox-input" <?php echo $best_available ? 'checked' : ''; ?>><label for="best-available" class="fontsb6 custom-checkbox-label floor-option">Choose best available</label> </li> -->

                    <!-- <li>

                    <div class="multiselect-search">

                            <div class="selectBox selectBox-wokspace-desk-search col-md-8 right">

                                <span class="input-group-addon">

                                    <span class="glyphicon glyphicon-map-marker workspace"></span>

                                </span>

                                <select name="page-results-desk-types" class="form-control" id="page-results-desk-types">

                                    <option value="0" selected>Desk</option>

                            

                                </select>

                                <div class="overSelect"></div>

                            </div>

                            <div id="checkboxes">

                            <?php

                                    if (!empty($workspace_type)) {

                                        foreach ($workspace_type as $term) {

                                    ?>

                                    <label for="<?php echo $term->slug; ?>">

                                        <input type="checkbox" id="<?php echo $term->slug; ?>" class="desk-type-filter" value="<?php echo $term->term_id; ?>"

                                           <?php echo  ( !$cuurent_workspace[0] || in_array($term->term_id,$cuurent_workspace))  ? 'checked' : '' ?>  />

                                            <?php echo $term->name; ?> 

                                    </label>

                                    <?php }

                                } ?>

                            </div>

                    </div>





                    </li> -->



            </ul>

    </div>


    <div class="container-icon">
        <div class="unavailable">
            Unavailable
        </div>

        <div class="desk-space">
             Desk Space
        </div>

        <div class="single-office-pod">
             Single Office Pod
        </div>

        <div class="double-office-pod">
             Double Office Pod
        </div>

        <div class="meeting-training-room">
             Meeting / Training Room
        </div>

    </div>

    <div class="floor-container">
       
    <?php
        if( $selected_view == 'map' ){
    ?>
    <div>

        

    </div>
    <?php
        }
    ?>
<div class="left-side">
    <?php if (empty($desks)): ?>
        <div class="empty-desks-overlay"></div>
        <div class="empty-desks-popup">
            <div class="empty-desks-close">
                <svg xmlns="http://www.w3.org/2000/svg" width="8" height="8" viewBox="0 0 8 8">
                    <path id="close_3_" data-name="close (3)" d="M4.733,4.136,7.848,1.021A.518.518,0,1,0,7.115.288L4,3.4.885.288a.518.518,0,0,0-.733.733L3.267,4.136.152,7.251a.518.518,0,1,0,.733.733L4,4.869,7.115,7.984a.518.518,0,1,0,.733-.733Zm0,0" transform="translate(0 -0.136)" fill="#1c232e"/>
                </svg>

            </div>
            <div class="empty-desks-content">
                <svg xmlns="http://www.w3.org/2000/svg" width="48" height="48" viewBox="0 0 36.074 36.074">
                    <g id="layer1" transform="translate(-302 -54)" opacity="0.6">
                        <path id="path1916" d="M312.307,54A10.3,10.3,0,0,0,302,64.307v15.46a10.3,10.3,0,0,0,10.307,10.307h15.46a10.3,10.3,0,0,0,10.307-10.307V64.307A10.3,10.3,0,0,0,327.767,54Zm.644,11.6a3.221,3.221,0,1,1-3.221,3.221A3.231,3.231,0,0,1,312.951,65.6Zm14.172,0a3.221,3.221,0,1,1-3.221,3.221A3.231,3.231,0,0,1,327.123,65.6Zm-12.1,11.552a.644.644,0,0,1,.2.02l9.954,2.667a.643.643,0,0,1-.332,1.243l-9.954-2.667a.643.643,0,0,1,.131-1.263Z" transform="translate(0 0)" fill="#2bd28d" fill-rule="evenodd"/>
                    </g>
                </svg>
                <h3>Oops!</h3>
                <p>No options available, please try <br/>an alternative.</p>
            </div>
            
        </div>
    <?php endif; ?>
    <?php
        if( $selected_view == 'map' ):
            include(BOOKING_PLUGIN_DIR . '/includes/templates/template-parts/plan-view.php');
        else:
            include(BOOKING_PLUGIN_DIR . '/includes/templates/template-parts/list-view.php');
    ?>

    <?php
        endif;
    ?>

    </div>
    </div>

<?php







