<div class="list-view-container">
    <?php

    $_index = ($floor_index == -1) ? 'ground-floor' : ($floor_index + 1);

    if (isset($reserved_offices)) {

        $is_locked = get_option('locked_rooms', false);

        foreach ($desks as $desk) {



            $position = get_post_meta($desk->ID, 'office_position', true);

            if (empty($position))
                continue;

            $floor = !empty($position['floor']) ? $position['floor'] : '';

            $hide = strpos($_index, $floor) === false ? 'hide' : '';

            $desks_type = get_the_terms($desk->ID, 'workspace-type');

            $desks_type_slug = '';

            $desks_type_name = '';

            $desks_type_id = '';

            if (!is_wp_error($desks_type) && isset($desks_type[0])) {

                $desks_type_slug = $desks_type[0]->slug;

                $desks_type_name = $desks_type[0]->name;

                $desks_type_id = $desks_type[0]->term_id;
            }

            $_floors_spell = apply_filters('floors_spell', '', $floors_spell, $floor);

            if (in_array($desk->ID, $reserved_offices)) {

                //     echo '<div class="reserved office-' . $desk->ID . ' dispo_point ' . $hide . '" width="20px" ' . $style . '

                // data-floor="' . $floor . '" data-floor-num="' . $_floors_spell . ' Floor" data-desk-type-id="' . $desks_type_id . '"   

                // data-id-office="' . $desk->ID . '" ><img src="' . $icon_src . '"></div>';

                continue;
            }

            $image_url = get_the_post_thumbnail_url($desk->ID, 'thumbnail');

            // $gallery_url = get_post_meta($desk->ID, 'gallery_images', true);

            // $gallery_url = !empty($gallery_url) ? htmlspecialchars(json_encode($gallery_url)) : '';

            $office_details = get_post_meta($desk->ID, '_desk_details', true);

            $price = isset($office_details['price']) ? $office_details['price'] : '';

            $price = calcul_price_per_days($diff_date, $desk->ID, $desks_type_slug, $price);

            $room = isset($office_details['room']) ? $office_details['room'] : '';

            $key_part_floor = $floor . 'st';

            if ($floor == 'ground') $key_part_floor = 'ground';

            $key_part_floor .= ' floor';

            $class = 'avail-etat';

            if ($is_locked && isset($is_locked[$_POST['location_city'] . '_' . $builidings[0]->term_id . '_' . $key_part_floor . '_' . $room])) {

                $class = 'locked';

                $icon_src = BOOKING_PLUGIN_URL . '/assets/images/locked.jpg';
            }

            $seat = isset($office_details['seat']) ? $office_details['seat'] : '';

            $location_city = get_term_by('id', $_POST['location_city'], 'location');

            // echo '<div class="' . $class . ' office-' . $desk->ID . ' dispo_point ' . $hide . '" width="20px" ' . $style . ' 

            // data-floor="' . $floor . '" data-floor-num="' . $_floors_spell . ' Floor" data-desk-type-id="' . $desks_type_id . '" data-desk-type= "' . $desks_type_name . '"  

            // data-image="' . $image_url . '" data-gallery="' . $gallery_url . '" data-building-id="' . $builidings[0]->term_id . '" data-id-office="' . $desk->ID . '" data-diff-date="' . $diff_date . '" data-room="' . $room . '" data-seat="' . $seat . '" data-price="' . $price . '"><img src="' . $icon_src . '"></div>';
        
   ?>

            <div class="card-item card-item-<?php echo $desk->ID.' '.$hide ; ?>"   
                 data-floor ="<?php echo $floor; ?>" 
            >
                <div class="left-card-content card-content">
                    <img src="<?php echo $image_url; ?>" alt="Desk Space">
                    <div class="date-location">
                        <div>
                            <strong> <?php echo $desks_type_name; ?> </strong>
                            <div>
                            <?php
                                $start_date = new DateTime(str_replace('/', '-', $date_start));
                                $end_date = new DateTime(str_replace('/', '-', $date_end));

                                
                                $formatted_start_date = $start_date->format('d-m-Y');
                                $formatted_end_date = $end_date->format('d-m-Y');

                                
                                if ($start_date->format('d-m-Y') === $end_date->format('d-m-Y')) {
                                
                                    $formatted_date = $formatted_start_date;
                                } else {
                                
                                    $formatted_date = "$formatted_start_date - $formatted_end_date";
                                }
                            ?>
                                <span><?php echo $formatted_date ?> <br/></span>
                                
                                <span class="small-deta"> = <?php echo $diff_date > 1 ? $diff_date.' Days' : $diff_date.' Day'; ?> </span> 
                            </div>
                        </div>
                        <div class="location">
                            <strong>Location</strong>
                            <span><?php echo $location_city->name ?? ''; ?> ,<br/> <?php echo $_floors_spell.' Floor'; ?> </span>  
                        </div>
                    </div>


                </div>
                <span class="divider"></span>
                <div class="center-card-content card-content">
                    <div class="office-location">
                        <div class="location">
                            <strong>Location</strong>
                            <span><?php echo $location_city->name ?? ''; ?> ,<br/> <?php echo $_floors_spell.' Floor'; ?> </span>
                            
                        </div>
                        <div class="office-detail">
                            <div>
                                <span class="icon room-icon"> 
                                    <svg xmlns="http://www.w3.org/2000/svg" width="12.833" height="13.75" viewBox="0 0 12.833 13.75">
                                        <path id="door-closed" d="M15.533,15.65h-1.1V4.1a1.1,1.1,0,0,0-1.1-1.1H6A1.1,1.1,0,0,0,4.9,4.1V15.65H3.8a.55.55,0,1,0,0,1.1H15.533a.55.55,0,1,0,0-1.1ZM11.874,8.867h.007a.733.733,0,1,1-.007,0Z" transform="translate(-3.25 -3)" fill="#2bd28d"/>
                                    </svg>
                                </span>
                                <span class="small-deta"><strong>Room: <?php echo $room; ?> </strong></span>
                            </div>
                            <div>
                                <span class="icon desk-icon">
                                <svg xmlns="http://www.w3.org/2000/svg" width="11.5" height="15.215" viewBox="0 0 11.5 15.215">
                                    <g id="office-chair_4_" data-name="office-chair (4)" transform="translate(0 0)">
                                        <g id="Group_167614" data-name="Group 167614" transform="translate(2.557 0)">
                                        <g id="Group_167613" data-name="Group 167613" transform="translate(0)">
                                            <path id="Path_124164" data-name="Path 124164" d="M147.656,2.388A2.456,2.456,0,0,0,145.2,0h-1.183a2.456,2.456,0,0,0-2.455,2.388l-.146,5.228H147.8Z" transform="translate(-141.416 0)" fill="#2bd28d"/>
                                        </g>
                                        </g>
                                        <g id="Group_167616" data-name="Group 167616" transform="translate(0 7.28)">
                                        <g id="Group_167615" data-name="Group 167615">
                                            <path id="Path_124165" data-name="Path 124165" d="M60.6,227.241H59.3a.556.556,0,0,0-.375.966v.8h-7.03v-.8a.556.556,0,0,0-.375-.966h-1.3a.556.556,0,0,0,0,1.113h.565v.947a1.956,1.956,0,0,0,1.954,1.954h2.118v2.27H53.786a.556.556,0,0,0-.556.556v.539a.556.556,0,0,0,1.113.018h.51a.556.556,0,0,0,1.111,0h.51a.556.556,0,0,0,1.113-.018v-.539a.556.556,0,0,0-.556-.556H55.964v-2.27h2.118a1.956,1.956,0,0,0,1.954-1.954v-.947H60.6a.556.556,0,1,0,0-1.113Z" transform="translate(-49.658 -227.241)" fill="#2bd28d"/>
                                        </g>
                                        </g>
                                    </g>
                                </svg>
                                </span>
                                <span class="small-deta"><strong>Desk: <?php echo $seat; ?></strong></span>
                            </div>
                        </div>
                    </div>
                    
                </div>
                <span class="divider"></span>
                <div class="right-card-content card-content">
                    <p class="rate">Rate € <?php echo number_format(floatval($price), 2, '.', ''); ?></p>
                    <button class="select-button"
                            data-floor ="<?php echo $floor; ?>" 
                            data-floor-num ="<?php echo $_floors_spell.' Floor'; ?>" 
                            data-desk-type = "<?php echo $desks_type_name; ?>"
                            data-room ="<?php echo $room; ?> " 
                            data-seat ="<?php echo $seat; ?>" 
                            data-price ="<?php echo $price; ?>"
                            data-id-office="<?php echo $desk->ID; ?>"
                            data-building-id="<?php echo $builidings[0]->term_id; ?>"
                        >Select
                    </button>
                </div>
            </div>

           

    <?php

        }
    }

    ?>








    <!-- ... other cards ... -->
</div>