<?php 
$error = booking_show_error('year-agreement-error');
$disabled = $error ? '' : 'disabled'
?>
<div class='check-year-agreement'>
    <td><label for="year-agreement">Year Agreement</label> </td>
    <td> <input type="checkbox" name="year-agreement[checked]" id="year-agreement" <?php echo $error ? 'checked' : '' ?> > </td>
</div>
<table class="table-year-agreement" <?php echo $error ? '' : 'style="display: none;"' ?> >
        <tr>
            <td><label for="billing_first_name" class="">First name *</label></td>
            <td><input type="text" class="input-text " name="year-agreement[billing_first_name]" id="billing_first_name" required <?php echo $disabled; ?> ></td>
            <td><label for="billing_last_name" class="">Last name *</label></td>
            <td><input type="text" class="input-text " name="year-agreement[billing_last_name]" id="billing_last_name" required <?php echo $disabled; ?> ></td>
        </tr>
        <tr>
            <td><label for="billing_address_1" class="">Address </label></td>
            <td><input type="text" class="input-text " name="year-agreement[billing_address_1]" id="billing_address_1" <?php echo $disabled; ?> ></td>
            <td><label for="billing_city" class="">Town</label></td>
            <td><input type="text" class="input-text " name="year-agreement[billing_city]" id="billing_city" <?php echo $disabled; ?> ></td>
        </tr>
        <tr>
            <td><label for="county" class="">country</label></td>
            <td><input type="text" class="input-text " name="year-agreement[county]" id="county" <?php echo $disabled; ?> ></td>
            <td><label for="billing_postcode" class="">Eircode</label></td>
            <td><input type="text" class="input-text " name="year-agreement[billing_postcode]" id="billing_postcode" <?php echo $disabled; ?> ></td>
        </tr>
        <tr>
            <td><label for="billing_phone" class="">Phone *</label></td>
            <td><input type="tel" class="input-text " name="year-agreement[billing_phone]" id="billing_phone" required <?php echo $disabled; ?> ></td>
            <td><label for="billing_email" class="">Email address *</label></td>
            <td><input type="email" class="input-text " name="year-agreement[billing_email]" id="billing_email" required <?php echo $disabled; ?> ></td>
        </tr>

        <tr> 
            <td><label for="mounth-payement">Monthly Payment *</label></td>
            <td><input type="number" name="year-agreement[mounth_payement]" id="mounth-payement" min="0" required <?php echo $disabled; ?> ></td>
        </tr>
        <tr> 
            <td><label for="mounth-payement">Booking Date *</label></td> 
            <td>
                <div class='input-group'>
                    <span class="input-group-addon">
                        <span class="glyphicon glyphicon-calendar"></span>
                    </span>
                    <input type='text' name="year-agreement[dates-range]" id="dates-range-filter" class="form-control input-search-date" required <?php echo $disabled; ?> /> 
                </div>
            </td>
        </tr>
        <tr class="result-totale mounth-payement-tr">
        </tr>
        <tr class="result-error ">
           <td> <?php echo $error ? $error : ''; ?></td> 
        </tr>
</table>