<?php 

    // Delete database table
    global $wpdb;
    $tables_name = ['booking_info','client_info'];

    foreach ($tables_name as $name) {
        $wp__table = $wpdb->prefix . $name;
        $sql = "DROP TABLE IF EXISTS $wp__table";
        $check = $wpdb->query( $sql );
    }  
    if(isset($check) && $check == false ) return;

    //delete role delete caps
    $roles = ['booking-member','administrator'];
    foreach ($roles as $role) {
        $_role = get_role( $role );
        if(!empty($_role))
            $_role->remove_cap('public_data');
    }
    remove_role('booking-member');

    $post_type = 'desks';
    $args = array(
        'post_status' => 'any',
        'post_type' => $post_type, // replace with your actual post type slug
        'posts_per_page' => -1, // set to -1 to retrieve all posts
    );
    
    $posts = get_posts($args);
    
    foreach ($posts as $post) {
        // delete post
        wp_delete_post($post->ID, true);
    }


$taxonomies = ['location','buildings','workspace-type'];
foreach ($taxonomies as $taxonomy) {
    remove_post_type_support( $post_type, $taxonomy );
    global $wpdb;
    $wpdb->query( "DELETE FROM $wpdb->term_taxonomy WHERE taxonomy = '$taxonomy'" );
    $wpdb->query( "DELETE FROM $wpdb->terms WHERE term_id IN ( SELECT term_id FROM $wpdb->term_taxonomy WHERE taxonomy = '$taxonomy' )" );
}
    // Delete option
    delete_option( 'plugin_permalinks_flushed' );
    delete_option( 'locked_rooms' );
    delete_option( 'desks_price_settings' );
