<?php

$is_administrator = in_array('administrator', get_the_user_roles());
$has_access_to_siplay_panel = (isset($_GET['tab']) && $_GET['tab'] == 'display');
?>

<div class="row manage-rooms">
            <h2 class="title">Manage Rooms </h2>
            <div class="tabs">
                <div class="tab-header">
                    <div class="tab-item <?php echo !$has_access_to_siplay_panel ? 'active' : '' ?>"><a href="<?php echo admin_url('admin.php/?page=cleaner'); ?>">Action</a></div>
                    <div class="tab-item <?php echo $has_access_to_siplay_panel ? 'active' : '' ?>">
                        <a href="<?php echo admin_url('admin.php/?page=cleaner&tab=display'); ?>">Display</a>
                    </div>
                </div>
                <div class="tab-content">
                    <div class="tab-pane active" id="tab1">
                        <?php 
                        $default_page = BOOKING_PLUGIN_DIR . '/admin/templates/affect-cleaners-to-rooms.php';
                        if( $has_access_to_siplay_panel )
                            $default_page = BOOKING_PLUGIN_DIR . '/admin/templates/show-roms.php';          

                        include($default_page);
                        ?>
                    </div>
                </div>
            </div>
</div>
