jQuery(document).ready(function($){



    $('.cleaner-time').daterangepicker({

        timePicker : true,

        singleDatePicker:true,

        timePicker24Hour : true,

        timePickerIncrement : 30,

        dateLimit: { hours: 19 },

        locale : {

            format : 'HH:mm'

        }

    }).on('show.daterangepicker', function(ev, picker) {

        picker.container.find(".calendar-table").hide();

});

    $('.cleaning-btn').click(function () {

        room = $(this).data('room-numbre');

        starttime = $(this).data('time-start');

        endtime = $(this).data('time-end');

        floor = $(this).data('floor');

        city = $(this).data('location');

        building = $(this).data('building');

        cleaner =  $('.tr-room-'+room+' td .cleaners-select').val();

        nounce = $('#building_for_city').val();

        if(floor != undefined && floor != '' && room != undefined && room != '' && starttime != undefined && starttime != '' && endtime != undefined && endtime != ''){

            $.ajax({

                type: 'POST',

                url: '/',

                data : {

                    'room' : room,

                    'starttime' : starttime,

                    'endtime' : endtime,

                    'floor' : floor,

                    'location' :city,

                    'cleaner' : cleaner,

                    'building' : building,

                    'check_availability': nounce,

                    'action' : 'reservetoclean'

                  },

                success: function (resp) {

                    console.log(resp);

                    if(resp == 1){

                        $('.tr-room-'+room).remove();

                        alert('Room '+room+' is reserved to cleaning');

                    }

                    else{

                        $('.tr-room-'+room+' .room-state').html('<p>'+resp+'</p>');

                    }

                  },

                error: function (error) {

                  console.log(error);

                  }

            });

        }

    });



    // $('.tab-item').click(function() {

    //     var tabId = $(this).data('tab');

        

    //     // Remove active class from all tab items and content panes

    //     $('.tab-item').removeClass('active');

    //     $('.tab-pane').removeClass('active');

        

    //     // Add active class to the clicked tab item and corresponding content pane

    //     $(this).addClass('active');

    //     $('#' + tabId).addClass('active');

    //   });

  

    $('#submitbtn_vacated_room').on('click',function (e) {
        e.preventDefault();
        _location = $('.rooms-location').val();
        _building = $('.rooms-building').val();
        _floor = $('.floor-floor').val();
        _full_day_rate = $('.full-day-rate').val();


        if( _location && _building && _floor && _full_day_rate != '00:00' ){
            $('.f-manag-r').submit();
        }else{
            $('.errors').remove();
           $('.table_manage_rooms').append('<tr class="errors"><td><h4>Error : </h4><div><p>all fields are required</p></div></td></tr>');
        }

    })

});