jQuery( function($) {

    $( ".draggable " ).draggable({

        containment: ".map-view.target img",

        stop: function( event, ui ) {

            var wrapper = $(".map-view.target img").offset();

            var borderLeft = parseInt($(".map-view.target img").css("border-left-width"),10);

            var borderTop = parseInt($(".map-view.target img").css("border-top-width"),10);

            var pos = ui.helper.offset();

            var left = (pos.left - wrapper.left - borderLeft);

            var top = (pos.top - wrapper.top - borderTop);

            var id_office = $(ui.helper[0]).data('office-id');

            var cordiantion=[left,top];

            $(".draged-office-"+id_office).remove();

            _rotation =$(this).css('transform');

            if(_rotation != 'none'){

              var _rotation = _rotation.split('(')[1].split(')')[0].split(',');

              var a = _rotation[0];

              var b = _rotation[1];

              var angle = Math.round(Math.atan2(b, a) * (180/Math.PI));

              cordiantion = [left,top,angle];

            }

            html ='<input type="hidden" name="offices[office_'+id_office+']" id="cordiantion" class="draged-office-'+id_office+'" value="'+JSON.stringify(cordiantion)+'">';

            $('.manage_offices_place_form').append(html);

            $(ui.helper[0]).addClass('in-the-map');

        }

    });

    $( ".target img" ).droppable({

      drop: function( event, ui ) {

        // $( this )

        //   .addClass( "ui-state-highlight" )

        //   .find( "p" )

        //     .html( "Dropped!" );

      }

    });



    $(document).on('mouseover','.list-offices .draggable.in-the-map',function () {

      $('.pop-up-save-data').hide();

      displyed_popup = $('.pop-up-save-data .save-btn button').attr('data-desk-id');
      desk_id = $(this).data('office-id');
      console.log(desk_id);
      console.log(displyed_popup);

      if(displyed_popup != desk_id){

            capacity = $(this).data('capacity');
      
            price = $(this).data('price');
      
            room = $(this).data('room');
      
            seat = $(this).data('seat');
      
            office_name = $(this).data('office-name');
      
      
      
          $('.pop-up-save-data .popup-title h4').text(office_name);
      
          $('.pop-up-save-data #max-people').val(capacity);
      
          $('.pop-up-save-data #price').val(price);
      
          $('.pop-up-save-data #room').val(room);
      
          $('.pop-up-save-data #seat').val(seat);
      
          $('.pop-up-save-data .save-btn button,.pop-up-save-data .delete-btn button').attr('data-desk-id',desk_id);
      }     

      setTimeout(function () {

        $('.pop-up-save-data').show();

      },100);

    });

    $('.pop-up-save-data .close-btn button').click(function(){

        $('.pop-up-save-data').hide();

    });



    $(document).on('click','.pop-up-save-data .save-btn button',function () {

        selector = $(this);

        desk_id = selector.attr('data-desk-id');

        input_selector = $('.list-offices .draggable.in-the-map[data-office-id="'+desk_id+'"]');

        old_capacity = $(input_selector).data('capacity');

        old_price = $(input_selector).data('price');

        old_room = $(input_selector).data('room');

        old_seat =  $(input_selector).data('seat');

        capacity = $('.pop-up-save-data #max-people').val();

        price = $('.pop-up-save-data #price').val();

        room  = $('.pop-up-save-data #room').val();

        seat = $('.pop-up-save-data #seat').val();

        action = $('.action-details').val();

        nonce = $('#action-details-nonce').val();

        $('.pop-up-save-data .results-message').empty();

        if(
          desk_id !== undefined && desk_id !== '' &&
          capacity !== undefined && capacity !== '' &&
          // price !== undefined && price !== '' &&
          room !== undefined && room !== '' &&
          seat !== undefined && seat !== ''
        ){

          if(old_capacity != capacity || old_price  != price || old_room != room || seat != old_seat ){

              selector.prop('disabled', true);

              $.ajax({

                type: "POST",

                url: '/',

                data: {

                    capacity:capacity,

                    desk_id:desk_id,

                    action:action, 

                    price:price,

                    nonce:nonce,

                    room:room,

                    seat:seat,

                },

                success: function(res){

                  html = 'Faild to store the office details </p>';

                  if(res && res != ''){

                    html = '<p>Office\'s details was stored successfully</p>';

                    $(input_selector).data('capacity',capacity);

                    $(input_selector).data('price',price);

                    $(input_selector).data('room',room);

                    $(input_selector).data('seat',seat);

                    selector.prop('disabled', false); 

                    $('.manage_offices_place_form').submit();

                  }

                  $('.pop-up-save-data .results-message').append(html);

                }

            });

          }

          else{

            $('.pop-up-save-data .results-message').append('<p>please enter a new values</p>');

          }

        }
        else{
            $('.pop-up-save-data .results-message').append('<p>all fields are required</p>');
        }

    });

    $(document).on('click','.pop-up-save-data .delete-btn button',function () {

        selector = $(this);

        desk_id = selector.attr('data-desk-id');

        action = $('.action-details').val();

        nonce = $('#action-details-nonce').val();

        $('.pop-up-save-data .results-message').empty();

        selector_p =$('.draggable-'+desk_id)

        if(desk_id != undefined){

          if(selector_p.hasClass('affected')){

              selector.prop('disabled', true);

              $.ajax({

                type: "POST",

                url: '/',

                data: {

                    desk_id:desk_id,

                    action:action, 

                    nonce:nonce,

                    action_type:'remove',

                },

                success: function(res){

                  html = '<p>Error try later</p>';

                  if(res){

                    html = '<p>office has been removed successfully</p>';

                    selector_p.removeClass('in-the-map affected');

                    selector_p.css('position','relative');

                    selector_p.css('top','');

                    selector_p.css('left','');

                    $('.pop-up-save-data').hide();

                    $('.draggable-'+desk_id).data('capacity','');

                    $('.draggable-'+desk_id).data('price','');

                    $('.draggable-'+desk_id).data('room','');

                    $('.draggable-'+desk_id).data('seat','');

                    $('.draggable-'+desk_id).data('office-name','');

                  }

                  $('.pop-up-save-data .results-message').append(html);

                  selector.prop('disabled', false); 

                }

              });

          }

          else{

            alert('this office not  affected to any floor yet.');

          }

        }

    });

    var rotateLine = 0;

    $(document).on('click',".draggable",function (e) {

        rotateLine += 90;

        $(this).css({ transform: "rotate(" + rotateLine + "deg" });

        id_office = $(this).attr('data-office-id');

        office_data='';

        if($('.manage_offices_place_form .draged-office-'+id_office).length){

             office_data = $('.manage_offices_place_form .draged-office-'+id_office).val();

             check_rotation = office_data.replace('[','').replace(']','').split(','); 

            if(check_rotation[2] == undefined){

              office_data = office_data.replace(']',','+rotateLine+']');

            }

            else{

              check_rotation[2] = rotateLine;

              office_data = '['+check_rotation.join(',')+']';

            }

            console.log(office_data);

             $('.manage_offices_place_form .draged-office-'+id_office).val(office_data);

        }else if($(this).hasClass('in-the-map')){

            _left = $(this).css('left').replace('px','');

            _top = $(this).css('top').replace('px','');

            office_data = '['+_left+','+_top+','+rotateLine+']';

            html ='<input type="hidden" name="offices[office_'+id_office+']" id="cordiantion" class="draged-office-'+id_office+'" value="'+office_data+'">';

            $('.manage_offices_place_form').append(html);

        }

        if(rotateLine == 360){

            rotateLine=0;

        }

      });

  });