jQuery(document).ready(function($){



  var $loading = $('.lds-circle');

  $(document)

    .ajaxStart(function () {

      $('.fieldset-container').prop('disabled', true);

      $loading.show();

    })

    .ajaxStop(function () {

      $('.fieldset-container').prop('disabled', false);

      $loading.hide();



    });



    $('#dates-range-filter').daterangepicker({

      opens: 'left',
      startDate: moment().add(1, 'days'),
      endDate: moment().add(1, 'days'),
      minDate: moment().add(1, 'days'),
      locale: {

        format: 'DD/MM/YYYY'

      }

    });
    if($('#dates-range-filter').data('datestart')){
        startDateString = $('#dates-range-filter').data('datestart');
        endDateString = $('#dates-range-filter').data('dateend');
        var startDate = moment(startDateString, 'DD/MM/YYYY');
        var endDate = moment(endDateString, 'DD/MM/YYYY');
        $('#dates-range-filter').data('daterangepicker').setStartDate(startDate);
        $('#dates-range-filter').data('daterangepicker').setEndDate(endDate);

    }


    $('.full-day-rate[name=full-day-rate]').daterangepicker({

      singleDatePicker: false,

      opens: 'left',

      minDate: moment(),

      locale: {

        format: 'DD/MM/YYYY'

      }

    });



        $('.desk-avaible-croquis').hover(function(){

            position = $(this).data('position');

            $('.position-'+position).addClass('desk-hover');

        });

        $('.checkboxes-time').mouseout(function(){

          $(".icon-back-time-equal").show();

        });

        $('.desk-avaible-croquis').mouseleave(function(){

          position = $(this).data('position');

          $('.position-'+position).removeClass('desk-hover');

      });



      $(document).on('click','.plus',function(e){

        e.stopPropagation();

        new_val =parseInt($('.count').val()) + 1;

        $(this).parents('.dropdown-number').find('.data-number').text(new_val);



        if (new_val > 1) {

          $(this).parents('.dropdown-number').find('.select .adult').text("Guests");

        }else{

          $(this).parents('.dropdown-number').find('.select .adult').text("Guest");

        }



        $('.count').val(new_val).trigger('change');

      });

      $(document).on('click','.minus',function(e){

        e.stopPropagation();

        new_val = parseInt($('.count').val()) - 1 ;



        $(this).parents('.dropdown-number').find('.data-number').text(new_val);



        if (new_val > 1) {

          $(this).parents('.dropdown-number').find('.select .adult').text("Adults");

        }else{

          $(this).parents('.dropdown-number').find('.select .adult').text("Adult");

        }




        if (new_val == 0) {

              new_val = 1;

          }

        $('.count').val(new_val).trigger('change');

          $(this).parents('.dropdown-number').find('.data-number').text(new_val);

      });

         $(window).on('load', function() {

              // floor_index = '1';

              // $('.croquis-floors .dispo_point').addClass('hide');

              // $('.croquis-floors .dispo_point[data-floor='+floor_index+']').removeClass('hide');

              $loading.hide();

         });

      // $(document).on('click', '.options-panel .options-items .best-available-btn', function(){
              
      //           $(this).addClass('view-choice');
             
      // })

      $(document).on('click', '.options-panel .options-items .best-available-btn', function(){
        $(this).toggleClass('view-choice');
    });

      $(document).on('click', '.options-panel .options-items .view-choice-box', function(){
              $('.view-choice-box').removeClass('view-choice');
              $(this).addClass('view-choice');
      }) 

      $(document).on('click','.options-panel .options-items .floors-option',function () {

             var floor_index = $(this).data('floor-index');

             var selector = '.'+floor_index+'st-floor';

             if(floor_index=='ground'){

                selector = '.'+floor_index+'-floor';

             }

             $('.img-floors-croquis').addClass('hide');

             $('.img-floors-croquis').removeClass('active-floor');

             $('.floors-option').removeClass('floor-choice');

             $(this).addClass('floor-choice');

             $(selector).removeClass('hide');

             $(selector).addClass('active-floor');



            $('.croquis-floors .dispo_point, .card-item').addClass('hide');

             $('.croquis-floors .dispo_point[data-floor='+floor_index+'], .card-item[data-floor='+floor_index+']').removeClass('hide');

      });



      $(document).on('change','.desk-type-filter',function () {

          var croquis_selector = '';

          $('.desk-type-filter:checked').each(function() {

            croquis_selector += '.croquis-floors .dispo_point[data-desk-type-id='+this.value+'],';

        });

          croquis_selector = croquis_selector.substring(0, croquis_selector.length-1);

          $('.croquis-floors .dispo_point').hide();

          $(croquis_selector).show();

      });

      

      $(document).on('click','.selectBox-wokspace-desk-search',function (e){

        e.stopPropagation();

          $(this).next().toggle();

          $(".selectBox-wokspace-desk-search").toggleClass('active');

      });

      $(document).on('click','.selectBox-wokspace',function (e){

        $(this).next().toggle();

        $(".selectBox-wokspace").toggleClass('active');

    });

      $('.multiselect').click(function (e){

        e.stopPropagation();

      });

      $('.selectBox-wokspace-desk').click(function (e){

        e.stopPropagation();

        $(this).next().toggle();

        $(".selectBox-wokspace-desk").toggleClass('active');

      });



      $(document).on('click','.select-button',function (e) {
          e.stopPropagation();

          floor_indice = $(this).data('floor');
          floor = $(this).data('floor-num');
          desk_type = $(this).data('desk-type');
          room = $(this).data('room');
          seat = $(this).data('seat');
          price = $(this).data('price');
          // number_days = $(this).data('diff-date');
          id_desk = $(this).data('id-office');
          building_id = $(this).data('building-id');
          price = parseFloat(price).toFixed(2);
          
          $('.price-panel .panel-price').text('Rate €'+price);

          book_buttn = '<button class="search-panel-book-btn" data-id-office="'+id_desk+'" data-building-id="'+building_id+'" data-floor-indice="'+floor_indice+'" data-floor="'+floor+'" data-desk-type="'+desk_type+'" data-room="'+room+'" data-seat="'+seat+'" >Book Now</button>';

          $('.search-panel .check-availability').html(book_buttn);

          $('.search-panel .indice-availability').hide();

          // $('#people-bloc').hide();

          $('.multiselect-search #checkboxes').hide();
          $('.card-item:not(.card-item-'+id_desk+')').hide();
          $(this).css('background-color','#EC6622');
          $(this).css('color','#fff');
          if (!document.querySelector('.back-to-list')) {
            $('.list-view-container').append('<span class="back-to-list"><img src ='+script_vars.BOOKING_PLUGIN_URL+'/assets/images/back.png'+'>  Choose another desk </span>')
          }

        
      });

      $(document).on('click','.dispo_point.avail-etat',function (e) {

          e.stopPropagation();
          $('.popup-description-desks div').remove();

          imageUrl = $(this).data('image');

          const imageElement = new Image();

          imageElement.src = '/wp-content/plugins/booking-desks/assets/images/desk.jpg';

          if(imageUrl != '' && imageUrl != undefined){

            imageElement.src = imageUrl;

          }

          const imageWrapper = document.createElement('div');

          imageWrapper.classList.add('desk-img');

          imageWrapper.appendChild(imageElement);

            floor_indice = $(this).data('floor');

            floor = $(this).data('floor-num');

            desk_type = $(this).data('desk-type');

            room = $(this).data('room');

            seat = $(this).data('seat');

            price = $(this).data('price');

            number_days = $(this).data('diff-date');

            id_desk = $(this).data('id-office');

            images_gallery = $(this).data('gallery');

            building_id = $(this).data('building-id');

            test = '';

            if(images_gallery != '' && images_gallery != undefined ) {

              test = document.createElement('span');

              test.classList.add('view-image');

              imageWrapper.appendChild(test);

            }
            if(desk_type != 'Meeting/Training Room' && desk_type != 'Meeting room' && desk_type != 'Training room' ){
              $("input.opt-Full-day.opt-rate").click ()
              $("input.opt-Hourly.opt-rate").attr('disabled', true)
              $("input.opt-Half-day.opt-rate").attr('disabled', true)
            }


            if(desk_type == "Meeting room" || desk_type == "Meeting/Training Room"){
              if( number_days == 0.5 || number_days == 0.46 ){
                display_price = ' Half-day '
              }
              else if(number_days < 1){
                display_price = Math.round(number_days * 12) + " Hrs "
              }
              else if(number_days > 1){
                display_price = number_days + " days "
              }
              else if(number_days == 1){
                display_price = "1 day "
              }
            }
            else{

              if(number_days > 1){
                display_price = number_days +' days ';
              }else{
                display_price = '1 day ';
              }
              
            }



            

            imageElement.onload = () => {
              html =imageWrapper.outerHTML+'<div class="desk-details"><span class="desk-details-heading">'+desk_type+'</span><span class="desk-details-heading location">Location</span><span>'+floor+'</span><div class="room-details"><span>Room '+room+' / Seat '+seat+'</span> </div></div><div class="price">'+display_price+' = €'+price+'</div>';  
              $('.popup-description-desks').addClass('animDescriptionDesksPop');

              $('.popup-description-desks').removeClass('removAnimDescriptionDesksPop');

              $('.popup-description-desks').append(html);


              var containerWidth = $('.container-croquis .croquis-floors').width();
              var containerHeight = $('.container-croquis .croquis-floors').height();
              var popupWidth = $('.popup-description-desks').outerWidth(); // Use outerWidth/Height to include padding and borders
              var popupHeight = $('.popup-description-desks').outerHeight();
              
              // Get the clicked position relative to the container
              var buttonTop = $(this).position().top; // Consider using offset() if position() does not give expected results
              var buttonLeft = $(this).position().left;
          
              // Initial desired position for the popup (you might want to adjust these offsets)
              var desiredTop = buttonTop + 20; // For example, 20px below the click point
              var desiredLeft = buttonLeft + 20; // 20px to the right of the click point
          
              // Adjust if the popup goes beyond the right edge of the container
              if (desiredLeft + popupWidth > containerWidth) {
                  desiredLeft = containerWidth - popupWidth;
              }
          
              // Adjust if the popup goes beyond the bottom edge of the container
              if (desiredTop + popupHeight > containerHeight) {
                  desiredTop = containerHeight - popupHeight;
              }
          
              // Prevent popup from going out of the container's upper and left bounds
              desiredTop = Math.max(desiredTop, 0);
              desiredLeft = Math.max(desiredLeft, 0);
          
              // Apply the calculated position
              $('.popup-description-desks').css({'top': desiredTop + 'px', 'left': desiredLeft + 'px'});
            };

            $('.popup-description-desks').show();

            $(".container-croquis").addClass("background-gray-plan");

            selc ='.croquis-floors .img-floors-croquis.active-floor';

            if( $(window).width() > 1170){

                selc ='.container-croquis .croquis-floors';

            }

             img_width = $(selc).width();

            // $('.background-gray-plan .overlay').css('width',img_width+'px');

            $('.container-croquis').css('background','#00000030');
            price = parseFloat(price).toFixed(2);
            $('.price-panel .panel-price').text('Rate €'+price);

            // To create and append the overlay element behind seat popup
            // var overlayElement = $('<div class="overlay"></div>');
            // $('.background-gray-plan').append(overlayElement);

            if (!$('.background-gray-plan .overlay').length) {
              var overlayElement = $('<div class="overlay"></div>');
              $('.background-gray-plan').append(overlayElement);
          }

            book_buttn = '<button class="search-panel-book-btn" data-id-office="'+id_desk+'" data-building-id="'+building_id+'" data-floor-indice="'+floor_indice+'" data-floor="'+floor+'" data-desk-type="'+desk_type+'" data-room="'+room+'" data-seat="'+seat+'" >Book Now</button>';

            $('.search-panel .check-availability').html(book_buttn);

            $('.search-panel .indice-availability').hide();

            // $('#people-bloc').hide();

          $('.multiselect-search #checkboxes').hide();

      });

      $(document).on('click','.view-image',function (e) {

          e.stopPropagation();

          htmlViewImg ='<span class="closeGallery"></span><div class="wrapper-view-img">';

          $.each(images_gallery, function(k,v){

              htmlViewImg +='<div><img src="'+ v +'"></div>';

          });

          htmlViewImg += '</div>';

          $('.container-croquis').append(htmlViewImg);

          /*Slick gallery*/

          $('.wrapper-view-img').slick({

            slidesToScroll: 1,

            autoplay: true,

            autoplaySpeed: 2000,

            slidesToShow: 1,

          });

          /*End slick gallery*/

      });

      $(document).on('click','.closeGallery',function (e) {

        e.stopPropagation();

        $('.wrapper-view-img').remove();

        $('.closeGallery').remove();

      });

      $(document).on('click','.wrapper-view-img',function (e) {

        e.stopPropagation();

      });

      $('.search-panel').on('click', function(event){

        $('.multiselect-search #checkboxes').hide();
        // $('.location').hide();
        
      })

      $(document).ready(function() {
        $('.empty-desks-close').on('click', function() {
            $('.empty-desks-popup').hide(); // Close the popup when close button is clicked
        });
    });

      $(document).on('click', function(event){

          $("input.opt-Hourly.opt-rate").attr('disabled', false)
          $("input.opt-Half-day.opt-rate").attr('disabled', false)

          $('.popup-description-desks').addClass('removAnimDescriptionDesksPop');

          $('.popup-description-desks').removeClass('animDescriptionDesksPop');

          $('.multiselect-search .selectBox-wokspace,.multiselect-search .selectBox-wokspace-desk-search').removeClass('active');

          $('.multiselect-search #checkboxes').hide();

          $('.wrapper-view-img').remove();

          $('.closeGallery').remove();

          setTimeout(function(){

            $(".container-croquis").removeClass("background-gray-plan");

            $('.container-croquis').css('background','#fff');

          },500);

          $('.search-panel .check-availability button').remove();

          $('.search-panel .check-availability').html('<button class="search-panel-book-btn disabled" disabled>Book Now</button>');

          $('.price-panel .panel-price').html('Rate €0.00');

          $('div.select-styled').removeClass('active');

          $('ul.select-options').hide();

          // $('#people-bloc').show();
          $('.select-button').css('background-color','transparent');
          $('.select-button').css('color','#000');

      });

      $(document).on('click','.popup-description-desks,.search-panel',function (e) {

          e.stopPropagation();

      });



      $(document).on('click','.search-panel .search-panel-book-btn',function(){


        etat=0;

        if($("#date-time").is(":hidden") && !$(".opt-rate").is(":checked")){ etat=1;}

        if($(".opt-Half-day").is(":checked")==true){

            if(!$(".rate-option-1").is(":checked") && !$(".rate-option-2").is(":checked")){

              etat=2;

            }  

           }



        if(etat==0){     



          id_office = $(this).data('id-office');

          room = $(this).data('room');

          seat = $(this).data('seat');

          desk_type = $(this).data('desk-type');

          floor = $(this).data('floor');

          datestart = $('#dates-range-filter').attr('data-datestart');

          dateend = $('#dates-range-filter').attr('data-dateend');

          totale_days = $('#dates-range-filter').attr('data-diffdate');

          city = $('.select-styled[data-select-type="location"]').attr('data-id-location');

          building =  $(this).attr('data-building-id');

          floor_indice =  $(this).attr('data-floor-indice');
          if (!floor || !id_office) {
              return;
          }
          $.ajax({

              type: 'POST',

              url: wc_add_to_cart_params.wc_ajax_url.toString().replace( '%%endpoint%%', 'custom_add_to_cart' ),

              data : {

                  'product_id': id_office,

                  'totale_days':totale_days,

                  'datestart':datestart,

                  'dateend': dateend,

                  'room':room,

                  'seat':seat,

                  'desk_type':desk_type,

                  'floor':floor,

                  'city' :city,

                  'floor_indice':floor_indice,

                  'building':building                                    

              },

              success: function (response) {

                if (response == "true") {

                  window.location = "/cart";

                }else{

                  $('.check-availability.book-now-container').html(response);

                }                  

              },

              error: function (error) {

                  $('.error-reservation').remove();

                  $('.check-availability.book-now-container').after("<h2 class='error-reservation'> Error happened while adding the item to your cart </h2>");

              }

        });

      }else{

        if(etat==2){

          $('.error-reservation').remove();

              $('.check-availability.book-now-container').after("<h2 class='error-reservation'> Please choose an option </h2>");

        }else{

          $('.error-reservation').remove();

          $('.check-availability.book-now-container').after("<h2 class='error-reservation alert alert-danger'> Please choose a time </h2>");

          }

        }

      });



      $(document).on('click','div.select-styled',function(e) {

            e.stopPropagation();

            type = $(this).attr('data-select-type');

            $(this).toggleClass('active');

            $('ul.select-options.'+type).toggle();

      });



//Design select

$(document).on('click','.select-options li',function(e) {

    e.stopPropagation();

    $class = 'workspace';

    attribute_key = 'data-id-workspace'

    if($(this).parent('ul').hasClass('location')){

        $class = 'location'

        attribute_key = 'data-id-location';

    }

    else if($(this).parent('ul').hasClass('time-start')){

        $class = 'time-start'

        attribute_key = 'data-time-start';

    }

    else if($(this).parent('ul').hasClass('time-end')){

        $class = 'time-end'

        attribute_key = 'data-time-end';

    }

    $('div.select-styled[data-select-type='+$class+']').text($(this).text()).removeClass('active');

    $('div.select-styled[data-select-type='+$class+']').attr(attribute_key,$(this).attr(attribute_key));

    $('div.select-styled[data-select-type='+$class+']').next('.select-styled-hidden-input').val($(this).attr(attribute_key)).trigger('change');

    $('ul.select-options').hide();

});



    $('.checkboxes-time').mouseleave(function(){

      $(".icon-back-time-equal").hide();

    });

    function date_equal(dstart,dend){

      if(dstart==dend){

            $("#date-time").hide();

            $("#time-equal").show();

            // $("#People-bloc").hide();

          }

    }


  //   $(document).ready(function() {
  //     // Show #opt-Hourly by default
  //     $("#opt-Hourly").show();
  //     $("#opt-Half-day, #opt-Full-day").hide();
      
  //     // Trigger click event on .opt-Hourly
  //     $('.opt-Hourly').trigger('click');
  // });
     

    $(document).on('click','.opt-Hourly',function () {

      $('.error-reservation').remove();

      $("#opt-Hourly").show();

      $("#opt-Half-day,#opt-Full-day").hide();

    });

    $(document).on('click','.opt-Half-day',function () {

      $('.error-reservation').remove();

      $("#opt-Hourly,#opt-Full-day").hide();

      $("#opt-Half-day").show();



    });

    $(document).on('click','.opt-Full-day',function () {

      $('.error-reservation').remove();

      $("#opt-Hourly,#opt-Half-day").hide();

      $("#opt-Full-day").show();

    });

    $(document).change('.dates-range-filter',function () {

      dateTime=$(".dates-range-filter").val();

      if(dateTime != undefined && dateTime != ''){

        dateTime = dateTime.split("-");

        d1=$.trim(dateTime[0]);

        d2=$.trim(dateTime[1]);

        $("#dates-range-filter").attr('data-datestart',d1);

        $("#dates-range-filter").attr('data-dateend',d2);

        datestart = d1.split(' ')[0];

        dateend = d2.split(' ')[0];

        date_equal(datestart,dateend);

      }

    });

        // BTN BACK

    $(document).on('click','span.icon-back-time-equal',function () {

        if($('#li-opt-Full-day').is(':visible') && $('#li-opt-Half-day').is(':visible') && $('#li-opt-Full-day').is(':visible')){

          $("#time-equal,#opt-Hourly,#opt-Half-day,#opt-Full-day").hide();

          $("#date-time,#li-opt-Hourly,#li-opt-Half-day,#li-opt-Full-day").show();

          $(".checkboxes-time input:radio").attr("checked", false);

        }else{

          $(".checkboxes-time input:radio").attr("checked", false);

          $("#opt-Hourly,#opt-Half-day,#opt-Full-day,#date-time").hide();

          $("#li-opt-Hourly,#li-opt-Half-day,#li-opt-Full-day").show();

        }

     });



  $(document).on('click','.dropdown-number',function () {

    $(this).attr('tabindex', 1).focus();

    $(this).toggleClass('active');

  });

  $('.dropdown-number').focusout(function () {

    $(this).removeClass('active');

  });

    $(document).on('change','.search-panel .left-search-inputs',function(){

     
      jQuery('body').block({
          message:  $('.loader'),
          overlayCSS: {
              cursor: 'yes',
              background: '#fff',
              opacity: 0.6,
          }
      });
      nounce = $('#check_availability').val();

      city = $('.search-panel .left-search-inputs[name=workspace]').val();

      dates = $('.search-panel .left-search-inputs.dates-range-filter').val();

      dates = dates.replace(' - ','-'); 
      
      var dateParts = dates.split('-');
      var startDate = new Date(dateParts[0]); 
      var endDate = new Date(dateParts[1]);

      // Check if the end date is one hour greater than the current time
      if (endDate < startDate) {
          $('#opt-Hourly .col-fx').append('<div class="error-message"> <span> Date end should be greater than date start </span> </div>');
          return;
      }

      people = $('.search-panel .left-search-inputs.count').val();

      floor_index = $('.options-items .floor-choice').attr('data-floor-index');

      workspace = [];

        

      view_type_val = $('input[type=radio][name=viewstyle]:checked').val();
      
      var selectInput = $('#page-results-desk-types');
    
      selectInput.empty();
      var workspace = [];
      var workspace_values = [];

      console.log('workspace_values')
      console.log(workspace_values)

      console.log('workspace')
      console.log(workspace)
      
      $('.search-panel .left-search-inputs[type=checkbox]:checked').each(function() {
          var value = $(this).val(); 
          var label = $(this).closest('label').text().trim();
          workspace.push(value);
          workspace_values.push(value); 
      });
    
      if (workspace.length > 0) {
        if(workspace.length >= 4) {
          selectInput.append($('<option>', {
            value: 'all-workspaces',
            text: 'All Workspaces',
            selected: true,
          })); 
        }else{
          workspace.forEach(function(option) {
            selectInput.append($('<option>', {
                value: option,
                text: option
            }));
        });
        selectInput.prop('disabled', false);
        }
       
      } else {
        selectInput.append($('<option>', {
            value: 'choose-workspace',
            text: 'Choose Workspace',
            selected: true,
        }));  
      } 
      
      selectInput.attr('multiple', true);


        if(city != undefined && dates != undefined && people != undefined && workspace != undefined  ){
          console.log('workspace_values')
          console.log(workspace_values)

          console.log('workspace')
          console.log(workspace)

          $.ajax({

              type: 'POST',

              url: '/results-desks',

              data : {

                  'request':'ajax',

                  'location_city': city,

                  'Dates-range':dates,

                  'people-qty':people,

                  'floor_index':floor_index,

                  'workspace': workspace_values,

                  'check_availability': nounce,

                  'view_type_val' : view_type_val

                },

              success: function (response) {

                  $('.res-main-container .container-croquis').html(response);

                },

              error: function (error) {
                console.error(error);
              },
              complete: function () {
                jQuery('body').unblock();
              }

          });

        }





    });







  $('.is-checked input').change(function(){

    if($(this).is(":checked")) {

        $('.is-checked span').addClass("change-color");

    } else {

        $('.is-checked span').removeClass("change-color");

    }

  });

  $('.is-checked-available input').change(function(){

    if($(this).is(":checked")) {

        $('.is-checked-available span').addClass("change-color");

    } else {

        $('.is-checked-available span').removeClass("change-color");

    }

  });

  $(document).on('change','.full-day-rate[name=full-day-rate]',function () {

        selected_date = $(this).val();

        if(selected_date != undefined ){

          $("#dates-range-filter").attr('data-datestart',selected_date);

          $("#dates-range-filter").attr('data-dateend',selected_date);

          $("#dates-range-filter").daterangepicker(   { startDate: selected_date,

                                                        endDate: selected_date,
                                                        minDate: moment(),

                                                        opens: 'left',

                                                        locale: {

                                                          format: 'DD/MM/YYYY'

                                                        }

                                                       });

        }

  });



  $(document).on('change','.rate-option-container input[name=rate-option]',function () {

      var selected_time = [];

      var time = '';

      $('.rate-option-container input[name=rate-option]:checked').each(function() {

            daypart = this.value;

            if(daypart != undefined){

              selected_time.push(daypart)

            }

      });

      if(selected_time.length > 1){

        time = '07:00-19:00';

      }else if(selected_time[0] != undefined){

          if( selected_time[0] == "morning" ){

                time = '07:00-13:00';



          }else if( selected_time[0] == "afternoon" ){

                time = '13:30-19:00';

          }

      }

      selected_date = $("#dates-range-filter").attr('data-datestart').replace(' ','');

      // if(time.length){

          if(selected_date != undefined && selected_date != ''){

            selected_date = selected_date.split(' ')[0];

            date_start = selected_date ;

            date_end = selected_date ;

            datepicker_options = { startDate: date_start,

                                    endDate: date_end,

                                    opens: 'left',

                                    locale: {

                                      format: 'DD/MM/YYYY'

                                    }

                                  };

            if(time.length){

              arr_time = time.split('-');

              date_start = selected_date+' '+arr_time[0] ;

              date_end = selected_date+' '+arr_time[1] ;

              datepicker_options.timePicker24Hour = true;

              datepicker_options.timePicker = true;

              datepicker_options.locale = {format: 'DD/MM/YYYY HH:mm'};

              datepicker_options.startDate = date_start;

              datepicker_options.endDate = date_end;
              datepicker_options.minDate = moment();


            }

            $("#dates-range-filter").attr('data-datestart',date_start);

            $("#dates-range-filter").attr('data-dateend',date_end);

            $("#dates-range-filter").daterangepicker(datepicker_options);

          }

          

      // }else{



      // }

  })



  $(document).on('change','.checkboxes-time #opt-Hourly .select-styled-hidden-input',function () {

        start_date = $('.select-styled-hidden-input.time-start').val();

        end_date = $('.select-styled-hidden-input.time-end').val();
        

        if(start_date != '' && end_date != '' && start_date != undefined && end_date != undefined ){

              $('.error-message').remove(); 

              first_day = $('#opt-Full-day > input[name="full-day-rate"]').val();
              var currentDate = new Date();
              var firstDayParts = first_day.split('/');
              var day = parseInt(firstDayParts[0]);
              var month = parseInt(firstDayParts[1]) - 1;
              var year = parseInt(firstDayParts[2]);
              
              var firstDayDate = new Date(year, month, day, currentDate.getHours(), currentDate.getMinutes(), currentDate.getSeconds());
              
              if (firstDayDate.toDateString() == currentDate.toDateString()) {
                  var currentTime = new Date();
                  var currentPlusOneHour = new Date(currentTime.getTime() + (1 * 60 * 60 * 1000));

                  var hour = currentPlusOneHour.getHours();
                  var minutes = currentPlusOneHour.getMinutes();
                  var formattedHour = hour.toString().padStart(2, '0') + ':' + minutes.toString().padStart(2, '0');
              
                  if (start_date < formattedHour) {
                      $('#opt-Hourly .col-fx').append('<div class="error-message"> <span> End time should be at most one hour greater than start time </span> </div>');
                      return;
                  }
              }


              _start_date = start_date.replace(':00','');

              _end_date = end_date.replace(':00','');

              if(_start_date < _end_date){

                old_date = $("#dates-range-filter").attr('data-datestart').replace(' ','');

                _check_is_date_time = old_date.indexOf(':')-2;

                if(_check_is_date_time > 0){

                  old_date = old_date.substring(0, _check_is_date_time);

                }

                new_start_date = old_date+' '+start_date;

                new_end_date = old_date+' '+end_date;

                datepicker_options = { startDate: new_start_date,

                                        endDate: new_end_date,
                                        minDate: moment(),

                                        opens: 'left',

                                        'timePicker24Hour' : true,

                                        'timePicker' : true,

                                        locale: {

                                          format: 'DD/MM/YYYY HH:mm'

                                        }

                                      };

                $("#dates-range-filter").attr('data-datestart',new_start_date);

                $("#dates-range-filter").attr('data-dateend',new_end_date);

                $("#dates-range-filter").daterangepicker(datepicker_options);

              }  

              else{

                $('#opt-Hourly .col-fx').append('<div class="error-message"> <span> Date end should be grater than date start </span> </div>');

              }

        }

  });



  $(document).on('change','input[type=radio][name=viewstyle]',function () {
    view_type_val = $(this).val();
    nonce = $("#view-type").val();

    city = $('.search-panel .left-search-inputs[name=workspace]').val();

    dates = $('.search-panel .left-search-inputs.dates-range-filter').val();

    dates = dates.replace(' - ','-'); 

    people = $('.search-panel .left-search-inputs.count').val();

    floor_index = $('.options-items .floor-choice').attr('data-floor-index');

    workspace = [];

    $.ajax({

      type: 'POST',

      url:'/results-desks',

      data : {
        action:"change-view-type",     
        nonce:nonce,    
        view_type_val : view_type_val,
        'location_city': city,
        'Dates-range':dates,
        'people-qty':people,
        'floor_index':floor_index,
        'workspace': workspace,
      },

      success: function (response) {
        $('.res-main-container .container-croquis').html(response);
      },

      error: function (error) {

      }

  });

  });

  $(document).on('click','.back-to-list',function (e) {
    $('.card-item').show();
    $(this).remove();
  });


})


$(document).ready(function() {
 
  $('.login').show();

 
  $('.guest-checkout-btn').click(function() {
      $(this).addClass('active').siblings().removeClass('active');
      $('.login').hide();
      $('.guest-login').show();
  });

  $('.login-btn').click(function() {
      $(this).addClass('active').siblings().removeClass('active');
      $('.guest-login').hide();
      $('.login').show();
  });
});


$(document).ready(function() {
  
  $('.guest-login button').click(function() {
    $('.checkout-login-form').hide();
    $('#guest-checkout').css('display', 'block');
  });
});

