<span class=" check-availability icon-back-to-time" >
    <?php
    $start_date = new DateTime(str_replace('/', '-', $date_start));
    $end_date = new DateTime(str_replace('/', '-', $date_end));

    
    $formatted_start_date = $start_date->format('d-m-Y');
    $formatted_end_date = $end_date->format('d-m-Y');

   
    if ($start_date->format('d-m-Y') === $end_date->format('d-m-Y')) {
      
        $formatted_date = $formatted_start_date;
    } else {
       
        $formatted_date = "$formatted_start_date - $formatted_end_date";
    }
    ?>

    <img src="<?php echo BOOKING_PLUGIN_URL . '/assets/images/fleche-gauche.svg' ?>" alt="" width="25px">Click desk to check availability - <?php echo " $formatted_date " ?>

</span>
<div class="croquis-floors">
    <?php

    $_index = ($floor_index == -1) ? 'ground-floor' : ($floor_index + 1);

    if (!empty($floors_crquis)) {

        foreach ($floors_crquis as $key => $value) {

            $hide = strpos($key, $_index) === false ? 'hide' : 'active-floor';

            echo wp_get_attachment_image($value, array('auto', '550'), false, array('class' => $hide . ' img-floors-croquis ' . $key));
        }
    }

    if (isset($reserved_offices)) {

        $is_locked = get_option('locked_rooms', false);

        foreach ($desks as $desk) {



            $position = get_post_meta($desk->ID, 'office_position', true);

            if (empty($position))

                continue;



            $style = !empty($position['cordiantion']) ?

                'style="position:absolute;top:' . $position['cordiantion']['top'] . 'px;left:' . $position['cordiantion']['left'] . 'px; transform: rotate(' . $position['cordiantion']['rotation'] . 'deg);"' : '';

            $floor = !empty($position['floor']) ? $position['floor'] : '';

            $hide = strpos($_index, $floor) === false ? 'hide' : '';

            $desks_type = get_the_terms($desk->ID, 'workspace-type');

            $desks_type_slug = '';

            $desks_type_name = '';

            $desks_type_id = '';

            $icon_src =  BOOKING_PLUGIN_URL . '/assets/images/green.png';

            if (!is_wp_error($desks_type) && isset($desks_type[0])) {

                $desks_type_slug = $desks_type[0]->slug;

                $desks_type_name = $desks_type[0]->name;

                $desks_type_id = $desks_type[0]->term_id;

                $icon = get_term_meta($desks_type_id, 'workspace_type_icon', true);

                $costum_icon = get_post_meta($desk->ID, '_desks_image', true);
                $icon_src = !empty($icon['icon_url']) ? $icon['icon_url'] : $icon_src;

                if($costum_icon){

                    $icon_src = wp_get_attachment_url($costum_icon);
                    
                }

            }

            $_floors_spell = apply_filters('floors_spell', '', $floors_spell, $floor);

            if (in_array($desk->ID, $reserved_offices)) {
                if (pathinfo($icon_src, PATHINFO_EXTENSION) === 'svg') {
                    echo '<div class="reserved office-' . $desk->ID . ' dispo_point ' . $hide . '" width="20px" ' . $style . '
                        data-floor="' . $floor . '" data-floor-num="' . $_floors_spell . ' Floor" data-desk-type-id="' . $desks_type_id . '"
                        data-id-office="' . $desk->ID . '" >' . file_get_contents($icon_src) . '</div>';
                } else {
                    echo '<div class="reserved office-' . $desk->ID . ' dispo_point ' . $hide . '" width="20px" ' . $style . '
                        data-floor="' . $floor . '" data-floor-num="' . $_floors_spell . ' Floor" data-desk-type-id="' . $desks_type_id . '"
                        data-id-office="' . $desk->ID . '" ><img src="' . $icon_src . '"></div>';
                }
                continue;
            }
            

            $image_url = get_the_post_thumbnail_url($desk->ID, 'thumbnail');

            $gallery_url = get_post_meta($desk->ID, 'gallery_images', true);

            $gallery_url = !empty($gallery_url) ? htmlspecialchars(json_encode($gallery_url)) : '';

            $office_details = get_post_meta($desk->ID, '_desk_details', true);

            $price = isset($office_details['price']) ? $office_details['price'] : '';

            $price = calcul_price_per_days($diff_date, $desk->ID, $desks_type_slug, $price);

            $room = isset($office_details['room']) ? $office_details['room'] : '';

            $key_part_floor = $floor . 'st';

            if ($floor == 'ground') $key_part_floor = 'ground';

            $key_part_floor .= ' floor';

            $class = 'avail-etat';

            if ($is_locked && isset($is_locked[$_POST['location_city'] . '_' . $builidings[0]->term_id . '_' . $key_part_floor . '_' . $room])) {

                $class = 'locked';

                $icon_src = BOOKING_PLUGIN_URL . '/assets/images/locked.jpg';
            }

            $seat = isset($office_details['seat']) ? $office_details['seat'] : '';

            echo '<div class="' . $class . ' office-' . $desk->ID . ' dispo_point ' . $hide . '" width="20px" ' . $style . ' 
            data-floor="' . $floor . '" data-floor-num="' . $_floors_spell . ' Floor" data-desk-type-id="' . $desks_type_id . '" data-desk-type= "' . $desks_type_name . '"  
            data-image="' . $image_url . '" data-gallery="' . $gallery_url . '" data-building-id="' . $builidings[0]->term_id . '" data-id-office="' . $desk->ID . '" data-diff-date="' . $diff_date . '" data-room="' . $room . '" data-seat="' . $seat . '" data-price="' . $price . '">';

            if (pathinfo($icon_src, PATHINFO_EXTENSION) === 'svg') {
                echo file_get_contents($icon_src);
            } else {
                echo '<img src="' . $icon_src . '">';
            }

            echo '</div>';

            }
        }

        ?>



    <div class="popup-description-desks">

    </div>

    <!-- <div class="overlay">

    </div> -->

</div>